Package weka.gui.beans

# Class IncrementalClassifierEvaluator

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.AbstractEvaluator
weka.gui.beans.IncrementalClassifierEvaluator

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `BeanCommon`, `EventConstraints`, `IncrementalClassifierListener`, `Visible`

public class IncrementalClassifierEvaluator extends AbstractEvaluator implements IncrementalClassifierListener, EventConstraints
Bean that evaluates incremental classifiers

Version:
  $Revision: 7059 $
Author:
  Mark Hall
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.BaselineResizeBehavior`

## Field Summary

### Fields inherited from class javax.swing.JComponent

`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`IncrementalClassifierEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptClassifier(IncrementalClassifierEvent ce)`
Accepts and processes a classifier encapsulated in an incremental classifier event
`void`
`addChartListener(ChartListener cl)`
Add a chart listener
`void`
`addTextListener(TextListener cl)`
Add a text listener
`boolean`
`eventGeneratable(String eventName)`
Returns true, if at the current time, the named event could be generated.
`String`
`getCustomName()`
Get the custom (descriptive) name for this bean (if one has been set)
`boolean`
`getOutputPerClassInfoRetrievalStats()`
Get whether per-class information retrieval stats are to be output.
`int`
`getStatusFrequency()`
Get how often progress is reported to the status bar.
`String`
`globalInfo()`
Global info for this bean
`boolean`
`isBusy()`
Returns true if.
`String`
`outputPerClassInfoRetrievalStatsTipText()`
Return a tip text string for this property
`void`
`removeChartListener(ChartListener cl)`
Remove a chart listener
`void`
`removeTextListener(TextListener cl)`
Remove a text listener
`void`
`setCustomName(String name)`
Set a custom (descriptive) name for this bean
`void`
`setOutputPerClassInfoRetrievalStats(boolean i)`
Set whether to output per-class information retrieval statistics (nominal class only).
`void`
`setStatusFrequency(int s)`
Set how often progress is reported to the status bar.
`String`
`statusFrequencyTipText()`
Return a tip text string for this property
`void`
`stop()`
Stop all action

### Methods inherited from class weka.gui.beans.AbstractEvaluator

`connectionAllowed, connectionAllowed, connectionNotification, disconnectionNotification, getVisual, setLog, setVisual, useDefaultVisual`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IncrementalClassifierEvaluator

public IncrementalClassifierEvaluator()

## Method Details

### setCustomName

public void setCustomName(String name)
Set a custom (descriptive) name for this bean

Specified by:
  `setCustomName` in interface `BeanCommon`
Parameters:
  `name` - the name to use

### getCustomName

public String getCustomName()
Get the custom (descriptive) name for this bean (if one has been set)

Specified by:
  `getCustomName` in interface `BeanCommon`
Returns:
  the custom name (or the default name)

### globalInfo

public String globalInfo()
Global info for this bean

Returns:
  a `String` value

### acceptClassifier

public void acceptClassifier(IncrementalClassifierEvent ce)
Accepts and processes a classifier encapsulated in an incremental classifier event

Specified by:
  `acceptClassifier` in interface `IncrementalClassifierListener`
Parameters:
  `ce` - an `IncrementalClassifierEvent` value

### eventGeneratable

public boolean eventGeneratable(String eventName)
Returns true, if at the current time, the named event could be generated. Assumes that supplied event names are names of events that could be generated by this bean.

Specified by:
  `eventGeneratable` in interface `EventConstraints`
Parameters:
  `eventName` - the name of the event in question
Returns:
  true if the named event could be generated at this point in time

### stop

public void stop()
Stop all action

Specified by:
  `stop` in interface `BeanCommon`
Specified by:
  `stop` in class `AbstractEvaluator`

### isBusy

public boolean isBusy()
Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).

Specified by:
  `isBusy` in interface `BeanCommon`
Returns:
  true if the bean is busy.

### setStatusFrequency

public void setStatusFrequency(int s)
Set how often progress is reported to the status bar.

Parameters:
  `s` - report progress every s instances

### getStatusFrequency

public int getStatusFrequency()
Get how often progress is reported to the status bar.

Returns:
  after how many instances, progress is reported to the status bar

### statusFrequencyTipText

public String statusFrequencyTipText()
Return a tip text string for this property

Returns:
  a string for the tip text

### setOutputPerClassInfoRetrievalStats

public void setOutputPerClassInfoRetrievalStats(boolean i)
Set whether to output per-class information retrieval statistics (nominal class only).

Parameters:
  `i` - true if info retrieval stats are to be output

### getOutputPerClassInfoRetrievalStats

public boolean getOutputPerClassInfoRetrievalStats()
Get whether per-class information retrieval stats are to be output.

Returns:
  true if info retrieval stats are to be output

### outputPerClassInfoRetrievalStatsTipText

public String outputPerClassInfoRetrievalStatsTipText()
Return a tip text string for this property

Returns:
  a string for the tip text

### addChartListener

public void addChartListener(ChartListener cl)
Add a chart listener

Parameters:
  `cl` - a `ChartListener` value

### removeChartListener

public void removeChartListener(ChartListener cl)
Remove a chart listener

Parameters:
  `cl` - a `ChartListener` value

### addTextListener

public void addTextListener(TextListener cl)
Add a text listener

Parameters:
  `cl` - a `TextListener` value

### removeTextListener

public void removeTextListener(TextListener cl)
Remove a text listener

Parameters:
  `cl` - a `TextListener` value